'use strict'
/**
 * ExerciseCategoriesCtrl
 * @param  {[type]} $scope         [description]
 * @param  {[type]} $state         [description]
 * @param  {[type]} workoutService [description]
 * @return {[type]}                [description]
 */
angular.module('controllers.exercisecategory', ['ionic']).controller('ExerciseCategoriesCtrl', function($scope, $state, $ionicModal, workoutService, Constants) {
    $scope.categories = Constants.categories;
    $scope.exercises = Constants.exercisesList;
    $scope.categoryClick = function(_category) {
        $scope._category = _category;
        $ionicModal.fromTemplateUrl('exercisecategories-modal.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function(modal) {
            $scope.exercisesModal = modal;
            $scope.exercisesModal.show();
        });
    }

    $scope.exerciseSelect = function(exerciseName, exercisType, category) {
            var currentExerciseIndex = workoutService.getExerciseIndex();
            workoutService.setExercise(currentExerciseIndex, exerciseName, exercisType, category);
            $scope.exercisesModal.remove();
            $state.go('selectexercise');
        }
        //weight_reps
    $scope.exerciseWeightreps = function(exerciseName) {
            var currentExerciseIndex = workoutService.getExerciseIndex();
            var type = "weight_reps";
            workoutService.setExercise(currentExerciseIndex, exerciseName, type);
            $scope.exercisesModal.remove();
            $state.go('selectexercise');
        }
        //distance_time
    $scope.exerciseDistancetime = function(exerciseName) {
            var currentExerciseIndex = workoutService.getExerciseIndex();
            var type = "distance_time";
            workoutService.setExercise(currentExerciseIndex, exerciseName, type);
            $state.go('selectexercise');
        }
        //time
    $scope.exerciseTime = function(exerciseName) {
        var currentExerciseIndex = workoutService.getExerciseIndex();
        var type = "time";
        workoutService.setExercise(currentExerciseIndex, exerciseName, type);
        $state.go('selectexercise');
    }

});