'use strict'

angular.module('services.common.constants', [])

.service('Constants', [function() {

    var _API = {
        baseUrl: "https://master-37m4puwx654bi.eu.platform.sh",
        serviceUrl: "https://master-37m4puwx654bi.eu.platform.sh/rest/api",
        //socketUrl: 'http://limitless-river-7704.herokuapp.com',
        socketUrl: 'http://heroku-postgres-b143a4e2.herokuapp.com',
        registerUrl: "https://master-37m4puwx654bi.eu.platform.sh/rest/api/user/register",
        loginUrl: "https://master-37m4puwx654bi.eu.platform.sh/rest/api/user/login",
        logoutUrl: "https://master-37m4puwx654bi.eu.platform.sh/rest/api/user/logout",
        fileUrl: "https://master-37m4puwx654bi.eu.platform.sh/rest/api/file",
        tokenUrl: "https://master-37m4puwx654bi.eu.platform.sh/services/session/token",
        IMG_PATH: "https://master-37m4puwx654bi.eu.platform.sh/sites/default/files/",
        Thumbnail: "https://master-37m4puwx654bi.eu.platform.sh/sites/default/files/styles/media_thumbnail/public/",
        Profile_Thumbnail: "https://master-37m4puwx654bi.eu.platform.sh/sites/default/files/styles/thumbnail/public/"
            //baseUrl: "http://localhost:3000"
    }


    var _limit = 20;

    var _img = {
        avatar: "img/avatar.png",
        profile_bg: "img/bg_new.png"
    }

    var _timeouts = {
        collection: {
            user: 0
        },
    }

    var _timeout=60000;

    var _categories = [
        'Shoulders',
        'Triceps',
        'Biceps',
        'Chest',
        'Back',
        'Legs',
        'Core',
        'Cardio'
    ];

    var _shoulderList = [{
        category: 'Shoulders',
        name: 'Arnold Press (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Arnold Press (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Arnold Press 1 Arm (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Arnold Press 1 Arm (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Back Flyes (Band Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Behind The Neck Press (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Clean and Jerk (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Cuban Press (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Deltoid Raise (Standing Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Dumbbell Raise (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Face Pull (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse (Bent Over Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse (Bent Over Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse (Decline Lying Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse (Incline Lying Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse (Lying Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse 1 Arm (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Flyes Reverse 2 Arms (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise (Incline Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise (Standing Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise 1 Arm (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Front Raise 2 Arms (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise (Band)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 1 Arm (Bent Over Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 1 Arm (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 1 Arm (Standing Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 1 Arm (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 2 Arms (Bent Over Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Lateral Raise 2 Arms (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Alternating Front And Back (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Alternating Front And Back (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Behind (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Behind (Standing Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Front (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Military Press Front (Standing Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Palms In Press (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Push Ups (Handstand)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rear Delt Fly (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rear Delt Raise (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rear Delt Raise (Lying Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rear Delt Row (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rotation External (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Rotation External (Lying Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Row To Neck (Rope Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Band)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Hammer Strength Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Seated Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shoulder Press 1 Arm (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs (Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs Back (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs Front (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Shrugs Snatch (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Snatch (Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Shoulders',
        name: 'Sumo High Press (Kettlebell)',
        type: 'weight_reps'
    }];

    var _tricepsList = [{
        category: 'Triceps',
        name: 'Bench Press (Close Grip Flat Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Close Grip Flat Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Close Grip Flat Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Close Grip Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Close Grip Incline Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Close Grip Incline Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Bench Press (Reverse Triceps Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Chest Throw (Medicine Ball)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Dips (Bench)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Dips (Exercise Ball)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Dips (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Dips (Parallel Bar)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Dips (Ring)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Pushups (Close)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Decline EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Flat Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Flat EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Incline Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Incline EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Skullcrusher (Reverse Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tate Press (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Exercise Ball EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Exercise Ball Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Flat Lying Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Forward Lunge Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Kneeling Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Lying Decline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Lying Incline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Overhead Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Overhead Cable Rope)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Overhead Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Overhead Standing Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Standing Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Standing Towel)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Straight Arm Bent Over Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Extension (Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Kickback (Exercise Ball Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Kickback (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Kickback (Two Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Press (Overhead Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Press (Overhead Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Pushdown (Cable Rope)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Pushdown (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Pushdown (1 Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Triceps',
        name: 'Tricep Pushdown (V Bar)',
        type: 'weight_reps'
    }];
    var _bicepsList = [{
        category: 'Biceps',
        name: 'Bicep Curl (Band)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Alternate Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Close Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Close Grip EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Close Grip Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Lying Against Incline Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Lying Against Incline EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Reverse Grip Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Reverse Grip Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Twist Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (V Sit Exercise Dome Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Wide Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Wide Grip EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Bicep Curl (Wide Grip Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Drag Curl (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Drag Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Reverse Grip Machine)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Seated Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Hammer Curl (Standing Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'High Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'High Curl (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Exercise Ball EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Hammer Grip)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Reverse Cable)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Preacher Curl (Zottman Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Concentration Curl (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Biceps',
        name: 'Concentration Curl (Seated Dumbbell)',
        type: 'weight_reps'
    }];

    var _checstList = [{
        category: 'Chest',
        name: 'Around the World (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Alternate Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Decline Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Decline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Decline Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Decline Wide Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Decline Wide Grip Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Flat Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Flat Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Flat Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Flat Wide Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Incline Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Incline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Incline Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Incline Wide Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Incline Wide Grip Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Palms in Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Reverse Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Reverse Grip Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Bench Press (Reverse Grip Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Chest Press (Hammer Strength)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Chest Press (Medicine Ball)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Chest Press (Inner Cable)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Chest Press (Leverage)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Chest Press (Lower Cable)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Cross Over (Band)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Cross Over (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Floor Press (1 Arm Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Decline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Exercise Ball Cable)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Exercise Ball Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Flat Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Incline Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Flyes (Twist Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Hammer Press (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Neck Press (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Cable Rope)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Exercise Ball Bumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Wide Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pullover (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Bench)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Clap)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Close Exercise Ball)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Deep)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Drop)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Exercise Ball)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Exercise Dome)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (1 Armed Biased)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (1 Leg)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Plyo Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Plyo)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Side Plank)',
        type: 'weight_reps'
    }, {
        category: 'Chest',
        name: 'Pushup (Wide)',
        type: 'weight_reps'
    }];
    var _backList = [{
        category: 'Back',
        name: 'Back Extension (Bench)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Back Extension (Exercise Ball)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Back Extension (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bench Row (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bench Row (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Reverse Grip Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Reverse Grip EZ Bar)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (T Bar)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Bent Over Row (T Bar)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Chin Up',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Chin Up (Climbers)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Chin Up (Neutral Grip)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Chin Up (1 Arm)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Deadlift (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Deadlift (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Deadlift (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Deadlift (Romanian Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Flyes (Rear Delt)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Good Morning (Seated Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Inverted Row',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Lat Pulldown',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Lat Pulldown (Behind Head)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Lat Pulldown (1 Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Lat Pulldown (Reverse Grip Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Lat Pulldown (Reverse Grip 1 Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Muscle Up',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Pull down (V Bar Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Pull Up',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Pull Up (Machine Assisted)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Pull Up (Rope)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Push Down (Straight Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (High Machine)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (1 Arm Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (1 Arm Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (Renegade Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (Seated Cable)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (Seated Machine)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (Standing V Bar)',
        type: 'weight_reps'
    }, {
        category: 'Back',
        name: 'Row (T Bar)',
        type: 'weight_reps'
    }];


    var _legList = [{
        category: 'Legs',
        name: 'Calf Press on Leg Press',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Band)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Dumbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (One Leg)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Seated)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Calf Raise (Standing)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Clean (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Clean (Hang Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Clean (Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Clean Pull (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Deadlift (Stiff Leg Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Deadlift (Stiff Leg Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Flutter Kick',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Good Morning (Band)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Good Morning (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hamstring Curl (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hip Abductor (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hip Adductor (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hip Adductor (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hip Adductor (Standing)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Hip Thrust (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Jump',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Jump (Box)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Jump (Scissors)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Jump (Star)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Jump (Tuck)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Curl (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Curl (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Extension (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Kickback (Cable)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Press',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Press (Incline)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Press (Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Press (One Leg)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Leg Raise (Rear)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Alternate)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Back)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Front)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Side)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Lunge (Walking)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Mountain Climbers',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Muscle Snatch (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Side to Side (Box Shuffle)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Side to Side (Jump Bench)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Snatch (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Snatch (Hang Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Snatch (One Arm Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Split Jump (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Band)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Front Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Front Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Full Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Hack Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Hack Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Half Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Jump Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Jump Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Kneeling Jump)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (One Leg Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (One Leg Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Pistol Kettlebell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Sumo Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Wall Exercise Ball)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Wall)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Weight Plate)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Zercher Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Squat (Zercher Smith Machine)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Step Up',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Step Up (Barbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Step Up (Dumbbell)',
        type: 'weight_reps'
    }, {
        category: 'Legs',
        name: 'Swing (Kettlebell)',
        type: 'weight_reps'
    }];
    var _coreList = [{
            category: 'Core',
            name: 'Ab Reach (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Kneeling Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Standing Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Wheel)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Abdominal Pendulum',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Air Bike',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Alternative Heel Touchers',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Boat Pose',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Bridge (One Arm Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crane Pose',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Decline Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Side Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Side)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Twisting Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Dorsal Raise',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Dragon Flag',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Draw Leg Slide',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Figure Eight (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Full Twist (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hand and Foot Exchange (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hand and Foot Exchange (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hip Raise (Bent Knee)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hundreds (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Jackknife (Side)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Judo Flip (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Rotated Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Twisting Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Roll (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Oblique Crunch (Bench)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Oblique Crunch (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Pallof Press (Rotation Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Plank',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Bench)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Exercise Ball)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Side)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Pushup (Jack Knife Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Reach and Catch',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Reverse Crunch (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Roll Down (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twists (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bend (Weight Plate Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bend (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bends (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Jack Knife)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Medicine Ball Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Six Inches',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Six Inches (Alternate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'V Ups',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Windmill (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Windshield Wipers',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Dumbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Reverse Cable)',
            type: 'weight_reps'
        }];
    var _cardioList = [{
        category: 'Cardio',
        name: 'Aerobics',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'American Football',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Athletics',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Badminton',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Basketball',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'BMX',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Boxing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Cricket',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Cycling (Indoor)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Cycling (Road)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Dancing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Elliptical Trainer',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Fencing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Football',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Free Running',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Gymnastics',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Inline Skating',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Judo',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Jujitsu',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Karate',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Kick Boxing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Kung Fu',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Martial Arts',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Mixed Martial Arts',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Mountain Biking',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Netball',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Pilates',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Rounders',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Rowing (Machine)',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Rowing (Outdoor)',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Rugby',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Running (Outdoor)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Running (Treadmill)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Skateboarding',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Skiing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Skipping',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Snowboarding',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Squash',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Step Machine',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Swimming',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Table Tennis',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Taekwondo',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Tai Chi',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Tennis',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Thai Boxing',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Volleyball',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Walking (Outdoor)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Walking (Treadmill)',
        type: 'distance_time'
    }, {
        category: 'Cardio',
        name: 'Wrestling',
        type: 'time'
    }, {
        category: 'Cardio',
        name: 'Yoga',
        type: 'time'
    }];



    var _exercisesList = [{
            category: 'Shoulders',
            name: 'Arnold Press (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Arnold Press (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Arnold Press 1 Arm (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Arnold Press 1 Arm (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Back Flyes (Band Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Behind The Neck Press (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Clean and Jerk (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Cuban Press (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Deltoid Raise (Standing Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Dumbbell Raise (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Face Pull (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse (Bent Over Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse (Bent Over Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse (Decline Lying Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse (Incline Lying Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse (Lying Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse 1 Arm (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Flyes Reverse 2 Arms (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise (Incline Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise (Standing Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise 1 Arm (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Front Raise 2 Arms (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise (Band)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 1 Arm (Bent Over Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 1 Arm (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 1 Arm (Standing Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 1 Arm (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 2 Arms (Bent Over Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Lateral Raise 2 Arms (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Alternating Front And Back (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Alternating Front And Back (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Behind (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Behind (Standing Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Front (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Military Press Front (Standing Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Palms In Press (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Push Ups (Handstand)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rear Delt Fly (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rear Delt Raise (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rear Delt Raise (Lying Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rear Delt Row (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rotation External (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Rotation External (Lying Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Row To Neck (Rope Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Band)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Hammer Strength Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Seated Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shoulder Press 1 Arm (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs Back (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs Front (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Shrugs Snatch (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Snatch (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Shoulders',
            name: 'Sumo High Press (Kettlebell)',
            type: 'weight_reps'
        },

        {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Flat Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Flat Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Flat Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Incline Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Close Grip Incline Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Bench Press (Reverse Triceps Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Chest Throw (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Dips (Bench)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Dips (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Dips (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Dips (Parallel Bar)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Dips (Ring)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Pushups (Close)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Decline EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Flat Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Flat EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Incline Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Incline EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Skullcrusher (Reverse Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tate Press (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Exercise Ball EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Exercise Ball Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Flat Lying Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Forward Lunge Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Kneeling Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Lying Decline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Lying Incline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Overhead Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Overhead Cable Rope)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Overhead Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Overhead Standing Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Standing Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Standing Towel)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Straight Arm Bent Over Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Extension (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Kickback (Exercise Ball Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Kickback (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Kickback (Two Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Press (Overhead Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Press (Overhead Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Pushdown (Cable Rope)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Pushdown (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Pushdown (1 Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Triceps',
            name: 'Tricep Pushdown (V Bar)',
            type: 'weight_reps'
        },

        {
            category: 'Biceps',
            name: 'Bicep Curl (Band)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Alternate Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Close Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Close Grip EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Close Grip Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Lying Against Incline Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Lying Against Incline EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Reverse Grip Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Reverse Grip Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Twist Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (V Sit Exercise Dome Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Wide Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Wide Grip EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Bicep Curl (Wide Grip Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Drag Curl (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Drag Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Reverse Grip Machine)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Seated Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Hammer Curl (Standing Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'High Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'High Curl (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Exercise Ball EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Hammer Grip)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Reverse Cable)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Preacher Curl (Zottman Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Concentration Curl (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Biceps',
            name: 'Concentration Curl (Seated Dumbbell)',
            type: 'weight_reps'
        },


        {
            category: 'Chest',
            name: 'Around the World (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Alternate Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Decline Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Decline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Decline Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Decline Wide Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Decline Wide Grip Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Flat Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Flat Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Flat Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Flat Wide Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Incline Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Incline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Incline Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Incline Wide Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Incline Wide Grip Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Palms in Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Reverse Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Reverse Grip Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Bench Press (Reverse Grip Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Chest Press (Hammer Strength)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Chest Press (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Chest Press (Inner Cable)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Chest Press (Leverage)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Chest Press (Lower Cable)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Cross Over (Band)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Cross Over (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Floor Press (1 Arm Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Decline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Exercise Ball Cable)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Exercise Ball Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Flat Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Incline Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Flyes (Twist Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Hammer Press (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Neck Press (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Cable Rope)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Exercise Ball Bumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Wide Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pullover (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Bench)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Clap)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Close Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Deep)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Drop)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Exercise Dome)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (1 Armed Biased)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (1 Leg)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Plyo Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Plyo)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Side Plank)',
            type: 'weight_reps'
        }, {
            category: 'Chest',
            name: 'Pushup (Wide)',
            type: 'weight_reps'
        },


        {
            category: 'Back',
            name: 'Back Extension (Bench)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Back Extension (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Back Extension (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bench Row (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bench Row (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Reverse Grip Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Reverse Grip EZ Bar)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (T Bar)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Bent Over Row (T Bar)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Chin Up',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Chin Up (Climbers)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Chin Up (Neutral Grip)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Chin Up (1 Arm)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Deadlift (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Deadlift (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Deadlift (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Deadlift (Romanian Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Flyes (Rear Delt)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Good Morning (Seated Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Inverted Row',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Lat Pulldown',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Lat Pulldown (Behind Head)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Lat Pulldown (1 Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Lat Pulldown (Reverse Grip Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Lat Pulldown (Reverse Grip 1 Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Muscle Up',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Pull down (V Bar Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Pull Up',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Pull Up (Machine Assisted)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Pull Up (Rope)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Push Down (Straight Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (High Machine)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (1 Arm Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (1 Arm Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (Renegade Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (Seated Cable)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (Seated Machine)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (Standing V Bar)',
            type: 'weight_reps'
        }, {
            category: 'Back',
            name: 'Row (T Bar)',
            type: 'weight_reps'
        },


        {
            category: 'Legs',
            name: 'Calf Press on Leg Press',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Band)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Dumbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (One Leg)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Seated)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Calf Raise (Standing)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Clean (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Clean (Hang Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Clean (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Clean Pull (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Deadlift (Stiff Leg Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Deadlift (Stiff Leg Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Flutter Kick',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Good Morning (Band)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Good Morning (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hamstring Curl (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hip Abductor (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hip Adductor (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hip Adductor (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hip Adductor (Standing)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Hip Thrust (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Jump',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Jump (Box)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Jump (Scissors)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Jump (Star)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Jump (Tuck)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Curl (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Curl (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Extension (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Kickback (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Press',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Press (Incline)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Press (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Press (One Leg)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Leg Raise (Rear)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Alternate)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Back)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Front)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Side)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Lunge (Walking)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Mountain Climbers',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Muscle Snatch (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Side to Side (Box Shuffle)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Side to Side (Jump Bench)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Snatch (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Snatch (Hang Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Snatch (One Arm Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Split Jump (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Band)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Front Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Front Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Full Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Hack Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Hack Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Half Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Jump Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Jump Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Kneeling Jump)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (One Leg Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (One Leg Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Pistol Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Sumo Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Wall Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Wall)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Zercher Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Squat (Zercher Smith Machine)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Step Up',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Step Up (Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Step Up (Dumbbell)',
            type: 'weight_reps'
        }, {
            category: 'Legs',
            name: 'Swing (Kettlebell)',
            type: 'weight_reps'
        },


        {
            category: 'Core',
            name: 'Ab Reach (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Kneeling Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Standing Barbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Ab Rollout (Wheel)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Abdominal Pendulum',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Air Bike',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Alternative Heel Touchers',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Boat Pose',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Bridge (One Arm Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crane Pose',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Decline Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Machine)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Side Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Side)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Twisting Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Crunch (Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Dorsal Raise',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Dragon Flag',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Draw Leg Slide',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Figure Eight (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Full Twist (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hand and Foot Exchange (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hand and Foot Exchange (Medicine Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hip Raise (Bent Knee)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Hundreds (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Jackknife (Side)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Judo Flip (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Rotated Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Raise (Twisting Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Knee Roll (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Hanging)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Leg Raise (Parallel Bars)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Oblique Crunch (Bench)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Oblique Crunch (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Pallof Press (Rotation Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Plank',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Bench)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Exercise Ball)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Plank (Side)',
            type: 'time'
        }, {
            category: 'Core',
            name: 'Pushup (Jack Knife Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Reach and Catch',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Reverse Crunch (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Roll Down (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twist (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Russian Twists (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bend (Weight Plate Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bend (Weight Plate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Side Bends (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Decline)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Flat)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Jack Knife)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Medicine Ball Exercise Ball)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Sit Up (Twisting)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Six Inches',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Six Inches (Alternate)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'V Ups',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Windmill (Kettlebell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Windshield Wipers',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Cable)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Dumbell)',
            type: 'weight_reps'
        }, {
            category: 'Core',
            name: 'Wood Chop (Reverse Cable)',
            type: 'weight_reps'
        },


        {
            category: 'Cardio',
            name: 'Aerobics',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'American Football',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Athletics',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Badminton',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Basketball',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'BMX',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Boxing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Cricket',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Cycling (Indoor)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Cycling (Road)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Dancing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Elliptical Trainer',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Fencing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Football',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Free Running',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Gymnastics',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Inline Skating',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Judo',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Jujitsu',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Karate',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Kick Boxing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Kung Fu',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Martial Arts',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Mixed Martial Arts',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Mountain Biking',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Netball',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Pilates',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Rounders',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Rowing (Machine)',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Rowing (Outdoor)',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Rugby',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Running (Outdoor)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Running (Treadmill)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Skateboarding',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Skiing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Skipping',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Snowboarding',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Squash',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Step Machine',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Swimming',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Table Tennis',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Taekwondo',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Tai Chi',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Tennis',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Thai Boxing',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Volleyball',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Walking (Outdoor)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Walking (Treadmill)',
            type: 'distance_time'
        }, {
            category: 'Cardio',
            name: 'Wrestling',
            type: 'time'
        }, {
            category: 'Cardio',
            name: 'Yoga',
            type: 'time'
        },
    ];

    var _countryList = [
        'Afghanistan',
        'Albania',
        'Algeria',
        'Andorra',
        'Angola',
        'Antigua and Barbuda',
        'Argentina',
        'Armenia',
        'Aruba',
        'Australia',
        'Austria',
        'Azerbaijan',
        'Bahamas, The',
        'Bahrain',
        'Bangladesh',
        'Barbados',
        'Belarus',
        'Belgium',
        'Belize',
        'Benin',
        'Bhutan',
        'Bolivia',
        'Bosnia and Herzegovina',
        'Botswana',
        'Brazil',
        'Brunei',
        'Bulgaria',
        'Burkina Faso',
        'Burma',
        'Burundi',
        'Cambodia',
        'Cameroon',
        'Canada',
        'Cape Verde',
        'Central African Republic',
        'Chad',
        'Chile',
        'China',
        'Colombia',
        'Comoros',
        'Congo, Democratic Republic of the',
        'Congo, Republic of the',
        'Costa Rica',
        'Cote d\'Ivoire',
        'Croatia',
        'Cuba',
        'Curacao',
        'Cyprus',
        'Czech Republic',
        'Denmark',
        'Djibouti',
        'Dominica',
        'Dominican Republic',
        'East Timor (see Timor-Leste)',
        'Ecuador',
        'Egypt',
        'El Salvador',
        'Equatorial Guinea',
        'Eritrea',
        'Estonia',
        'Ethiopia',
        'Fiji',
        'Finland',
        'France',
        'Gabon',
        'Gambia, The',
        'Georgia',
        'Germany',
        'Ghana',
        'Greece',
        'Grenada',
        'Guatemala',
        'Guinea',
        'Guinea-Bissau',
        'Guyana',
        'Haiti',
        'Holy See',
        'Honduras',
        'Hong Kong',
        'Hungary',
        'Iceland',
        'India',
        'Indonesia',
        'Iran',
        'Iraq',
        'Ireland',
        'Israel',
        'Italy',
        'Jamaica',
        'Japan',
        'Jordan',
        'Kazakhstan',
        'Kenya',
        'Kiribati',
        'Korea, North',
        'Korea, South',
        'Kosovo',
        'Kuwait',
        'Kyrgyzstan',
        'Laos',
        'Latvia',
        'Lebanon',
        'Lesotho',
        'Liberia',
        'Libya',
        'Liechtenstein',
        'Lithuania',
        'Luxembourg',
        'Macau',
        'Macedonia',
        'Madagascar',
        'Malawi',
        'Malaysia',
        'Maldives',
        'Mali',
        'Malta',
        'Marshall Islands',
        'Mauritania',
        'Mauritius',
        'Mexico',
        'Micronesia',
        'Moldova',
        'Monaco',
        'Mongolia',
        'Montenegro',
        'Morocco',
        'Mozambique',
        'Namibia',
        'Nauru',
        'Nepal',
        'Netherlands',
        'Netherlands Antilles',
        'New Zealand',
        'Nicaragua',
        'Niger',
        'Nigeria',
        'North Korea',
        'Norway',
        'Oman',
        'Pakistan',
        'Palau',
        'Palestinian Territories',
        'Panama',
        'Papua New Guinea',
        'Paraguay',
        'Peru',
        'Philippines',
        'Poland',
        'Portugal',
        'Qatar',
        'Romania',
        'Russia',
        'Rwanda',
        'Saint Kitts and Nevis',
        'Saint Lucia',
        'Saint Vincent and the Grenadines',
        'Samoa',
        'San Marino',
        'Sao Tome and Principe',
        'Saudi Arabia',
        'Senegal',
        'Serbia',
        'Seychelles',
        'Sierra Leone',
        'Singapore',
        'Sint Maarten',
        'Slovakia',
        'Slovenia',
        'Solomon Islands',
        'Somalia',
        'South Africa',
        'South Korea',
        'South Sudan',
        'Spain',
        'Sri Lanka',
        'Sudan',
        'Suriname',
        'Swaziland',
        'Sweden',
        'Switzerland',
        'Syria',
        'Taiwan',
        'Tajikistan',
        'Tanzania',
        'Thailand',
        'Timor-Leste',
        'Togo',
        'Tonga',
        'Trinidad and Tobago',
        'Tunisia',
        'Turkey',
        'Turkmenistan',
        'Tuvalu',
        'Uganda',
        'Ukraine',
        'United Arab Emirates',
        'United Kingdom',
        'United States',
        'Uruguay',
        'Uzbekistan',
        'Vanuatu',
        'Venezuela',
        'Vietnam',
        'Yemen',
        'Zambia',
        'Zimbabwe'
    ];

    var _exercises = {
        shoulder: _shoulderList,
        triceps: _tricepsList,
        biceps: _bicepsList,
        chest: _checstList,
        back: _backList,
        legs: _legList,
        core: _coreList,
        cardio: _cardioList
    }
    var _searchField = ["Username", "Real Name", "Email"];
    var constants = {
        DEBUGMODE: false,
        SHOWBROADCAST_EVENTS: true,
        queryLimit: _limit,
        API: _API,
        IMG: _img,
        categories: _categories,
        exercises: _exercises,
        exercisesList: _exercisesList,
        searchField: _searchField,
        countryList: _countryList,
        timeouts: _timeouts,
        timeout:_timeout
    };
    return constants;
}])